const browser = require('@sentry/browser');
const scopeToMain = require('./integrations/scope-to-main.js');
const transport = require('./transport.js');
const sdk = require('./sdk.js');
const stackParse = require('./stack-parse.js');
const metrics = require('./metrics.js');



exports.BrowserClient = browser.BrowserClient;
exports.SEMANTIC_ATTRIBUTE_SENTRY_OP = browser.SEMANTIC_ATTRIBUTE_SENTRY_OP;
exports.SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN = browser.SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN;
exports.SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE = browser.SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE;
exports.SEMANTIC_ATTRIBUTE_SENTRY_SOURCE = browser.SEMANTIC_ATTRIBUTE_SENTRY_SOURCE;
exports.Scope = browser.Scope;
exports.addBreadcrumb = browser.addBreadcrumb;
exports.addEventProcessor = browser.addEventProcessor;
exports.addIntegration = browser.addIntegration;
exports.addTracingExtensions = browser.addTracingExtensions;
exports.breadcrumbsIntegration = browser.breadcrumbsIntegration;
exports.browserApiErrorsIntegration = browser.browserApiErrorsIntegration;
exports.browserProfilingIntegration = browser.browserProfilingIntegration;
exports.browserTracingIntegration = browser.browserTracingIntegration;
exports.captureConsoleIntegration = browser.captureConsoleIntegration;
exports.captureEvent = browser.captureEvent;
exports.captureException = browser.captureException;
exports.captureFeedback = browser.captureFeedback;
exports.captureMessage = browser.captureMessage;
exports.captureSession = browser.captureSession;
exports.chromeStackLineParser = browser.chromeStackLineParser;
exports.contextLinesIntegration = browser.contextLinesIntegration;
exports.continueTrace = browser.continueTrace;
exports.createTransport = browser.createTransport;
exports.createUserFeedbackEnvelope = browser.createUserFeedbackEnvelope;
exports.debugIntegration = browser.debugIntegration;
exports.dedupeIntegration = browser.dedupeIntegration;
exports.defaultRequestInstrumentationOptions = browser.defaultRequestInstrumentationOptions;
exports.endSession = browser.endSession;
exports.eventFromException = browser.eventFromException;
exports.eventFromMessage = browser.eventFromMessage;
exports.exceptionFromError = browser.exceptionFromError;
exports.extraErrorDataIntegration = browser.extraErrorDataIntegration;
exports.feedbackAsyncIntegration = browser.feedbackAsyncIntegration;
exports.feedbackIntegration = browser.feedbackIntegration;
exports.feedbackSyncIntegration = browser.feedbackSyncIntegration;
exports.forceLoad = browser.forceLoad;
exports.functionToStringIntegration = browser.functionToStringIntegration;
exports.getActiveSpan = browser.getActiveSpan;
exports.getClient = browser.getClient;
exports.getCurrentHub = browser.getCurrentHub;
exports.getCurrentScope = browser.getCurrentScope;
exports.getFeedback = browser.getFeedback;
exports.getGlobalScope = browser.getGlobalScope;
exports.getIsolationScope = browser.getIsolationScope;
exports.getReplay = browser.getReplay;
exports.getRootSpan = browser.getRootSpan;
exports.getSpanDescendants = browser.getSpanDescendants;
exports.getSpanStatusFromHttpCode = browser.getSpanStatusFromHttpCode;
exports.globalHandlersIntegration = browser.globalHandlersIntegration;
exports.httpClientIntegration = browser.httpClientIntegration;
exports.httpContextIntegration = browser.httpContextIntegration;
exports.inboundFiltersIntegration = browser.inboundFiltersIntegration;
exports.instrumentOutgoingRequests = browser.instrumentOutgoingRequests;
exports.isInitialized = browser.isInitialized;
exports.lastEventId = browser.lastEventId;
exports.linkedErrorsIntegration = browser.linkedErrorsIntegration;
exports.moduleMetadataIntegration = browser.moduleMetadataIntegration;
exports.onLoad = browser.onLoad;
exports.parameterize = browser.parameterize;
exports.registerSpanErrorInstrumentation = browser.registerSpanErrorInstrumentation;
exports.replayCanvasIntegration = browser.replayCanvasIntegration;
exports.replayIntegration = browser.replayIntegration;
exports.reportingObserverIntegration = browser.reportingObserverIntegration;
exports.rewriteFramesIntegration = browser.rewriteFramesIntegration;
exports.sendFeedback = browser.sendFeedback;
exports.sessionTimingIntegration = browser.sessionTimingIntegration;
exports.setContext = browser.setContext;
exports.setCurrentClient = browser.setCurrentClient;
exports.setExtra = browser.setExtra;
exports.setExtras = browser.setExtras;
exports.setHttpStatus = browser.setHttpStatus;
exports.setMeasurement = browser.setMeasurement;
exports.setTag = browser.setTag;
exports.setTags = browser.setTags;
exports.setUser = browser.setUser;
exports.showReportDialog = browser.showReportDialog;
exports.spanToBaggageHeader = browser.spanToBaggageHeader;
exports.spanToJSON = browser.spanToJSON;
exports.spanToTraceHeader = browser.spanToTraceHeader;
exports.startBrowserTracingNavigationSpan = browser.startBrowserTracingNavigationSpan;
exports.startBrowserTracingPageLoadSpan = browser.startBrowserTracingPageLoadSpan;
exports.startInactiveSpan = browser.startInactiveSpan;
exports.startNewTrace = browser.startNewTrace;
exports.startSession = browser.startSession;
exports.startSpan = browser.startSpan;
exports.startSpanManual = browser.startSpanManual;
exports.thirdPartyErrorFilterIntegration = browser.thirdPartyErrorFilterIntegration;
exports.withActiveSpan = browser.withActiveSpan;
exports.withIsolationScope = browser.withIsolationScope;
exports.withScope = browser.withScope;
exports.zodErrorsIntegration = browser.zodErrorsIntegration;
exports.scopeToMainIntegration = scopeToMain.scopeToMainIntegration;
exports.makeRendererTransport = transport.makeRendererTransport;
exports.getDefaultIntegrations = sdk.getDefaultIntegrations;
exports.init = sdk.init;
exports.defaultStackParser = stackParse.electronRendererStackParser;
exports.metrics = metrics.metrics;
//# sourceMappingURL=index.js.map
